%{H_TEMPLATE}

#ifndef _%{APPNAMEUC}_H_
#define _%{APPNAMEUC}_H_

#include <tdecmodule.h>
#include <tdeaboutdata.h>

class %{APPNAME}: public TDECModule
{
    TQ_OBJECT
  

public:
    %{APPNAME}( TQWidget *parent=0, const char *name=0, const TQStringList& = TQStringList() );
    ~%{APPNAME}();

    virtual void load();
    virtual void save();
    virtual void defaults();
    virtual int buttons();
    virtual TQString quickHelp() const;
    virtual const TDEAboutData *aboutData()const
    { return myAboutData; };

public slots:
    void configChanged();

private:
      TDEAboutData *myAboutData;
};

#endif
